classification
Title: Update 3.7 and 3.8 Windows and macOS installer builds to tcl/tk 8.6.8
Type: Stage: resolved
Components: macOS, Tkinter, Windows Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: cheryl.sabella, miss-islington, ned.deily, paul.moore, ronaldoussoren, serhiy.storchaka, steve.dower, terry.reedy, tim.golden, zach.ware
Priority: Keywords: patch

Created on 2018-02-21 21:26 by terry.reedy, last changed 2018-02-27 22:53 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5823 merged steve.dower, 2018-02-23 00:51
PR 5831 merged miss-islington, 2018-02-23 16:23
Messages (17)
msg312512 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-21 21:26
This should be done ASAP for most testing.

MacOS 64bit 3.7.0b1 links to 8.6.7.  Whether that should be upgraded to 8.6.8 is up to Ned.  I raised question on #15663.
msg312514 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-02-21 21:58
This is on Steve these days due to the binary signing.
msg312577 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-02-22 18:37
Yay, more work...

(btw Zach, nothing stopping you from putting the sources up for me :) I just need to hit the buttons to make the build.)
msg312583 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-02-22 18:50
Yeah, we should do that for the macOS installers as well.
msg312584 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-02-22 18:53
True :).  I'll get the sources up if I get a chance to do it before you do.

(Anyone else can feel free to take a crack at it as well, see https://github.com/python/cpython-source-deps/blob/master/README.rst for instructions that should hopefully work :))
msg312586 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2018-02-22 19:12
I'll give it a shot.  :-)
msg312591 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-02-22 19:39
I'm already most of the way through doing the sources this time - just running into ssh/GitHub troubles getting them online.
msg312594 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-02-22 20:32
Still working on this - X11 and the WinSDK aren't playing nicely together. I might need a special build configuration to build this, or to submit fixes (and apply patches) to Tk.
msg312598 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-22 22:22
Is "this will only be useful on Windows," in the source-deps readme still true? It appears that the tcl/tk tar.gz source is meant for Mac also.  (IE, has Xcode project files.)
https://tcl.tk/software/tcltk/download.html

Looking ahead, there is an 8.7a1 release.  I am hoping that 8.7 will be available for our 3.8, as it should include a rewritten Text widget that, among other things, will fix the slow long lines problem.  Do we wait for 8.7 final or do we start testing and, if necessary, adapting _tkinter and tkinter with, say, their .b1?
msg312639 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-02-23 16:22
New changeset efa6c762268d68985f3012234f62ea9e5ced8b7c by Steve Dower in branch 'master':
bpo-32901: Update Tcl and Tk versions to 8.6.8 (GH-5823)
https://github.com/python/cpython/commit/efa6c762268d68985f3012234f62ea9e5ced8b7c
msg312640 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-02-23 16:25
The sources are just the original sources, so they could be useful on other platforms too.

The build on cpython-bin-deps is obviously only useful on Windows.
msg312643 - (view) Author: miss-islington (miss-islington) Date: 2018-02-23 16:44
New changeset 74b73642596caa287ee59bf7901ca009606c24cc by Miss Islington (bot) in branch '3.7':
bpo-32901: Update Tcl and Tk versions to 8.6.8 (GH-5823)
https://github.com/python/cpython/commit/74b73642596caa287ee59bf7901ca009606c24cc
msg312668 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-02-23 20:58
Windows is complete - leaving this open for Ned to resolve when the Mac installers are done.
msg312669 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-23 21:11
New build with 8.6.8 seems to work fine on my machine.  Thanks.

I noticed that 'fetching tcl/tk 8.6.8' downloaded a pre-built binary instead of sources to build on my machine.  Nice.
msg313030 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-02-27 22:38
New changeset 9189e95d9c6691de18783b2e9213ec2dc18fd0c5 by Ned Deily in branch 'master':
bpo-32901: update macOS 10.9+ installer to Tcl/Tk 8.6.8
https://github.com/python/cpython/commit/9189e95d9c6691de18783b2e9213ec2dc18fd0c5
msg313031 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-02-27 22:45
New changeset a7edca7122cb952874e74d64d693c5b938c758cb by Ned Deily in branch '3.7':
bpo-32901: update macOS 10.9+ installer to Tcl/Tk 8.6.8
https://github.com/python/cpython/commit/a7edca7122cb952874e74d64d693c5b938c758cb
msg313032 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-02-27 22:53
Terry:

> Is "this will only be useful on Windows," in the source-deps readme still true? It appears that the tcl/tk tar.gz source is meant for Mac also.

The macOS installer builds do not use the cpython-source-deps repo.
History
Date User Action Args
2018-02-27 22:53:23ned.deilysetstatus: open -> closed
priority: release blocker ->
messages: + msg313032

resolution: fixed
stage: patch review -> resolved
2018-02-27 22:45:20ned.deilysetmessages: + msg313031
2018-02-27 22:38:22ned.deilysetmessages: + msg313030
2018-02-23 21:11:51terry.reedysetmessages: + msg312669
2018-02-23 20:58:42steve.dowersetmessages: + msg312668
2018-02-23 16:44:29miss-islingtonsetnosy: + miss-islington
messages: + msg312643
2018-02-23 16:25:19steve.dowersetmessages: + msg312640
2018-02-23 16:23:25miss-islingtonsetpull_requests: + pull_request5609
2018-02-23 16:22:12steve.dowersetmessages: + msg312639
2018-02-23 00:51:13steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request5600
2018-02-22 22:22:04terry.reedysetmessages: + msg312598
2018-02-22 20:32:56steve.dowersetmessages: + msg312594
2018-02-22 19:39:47steve.dowersetmessages: + msg312591
2018-02-22 19:12:26cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg312586
2018-02-22 18:53:59zach.waresetmessages: + msg312584
2018-02-22 18:50:17ned.deilysetpriority: normal -> release blocker
title: Update Windows 3.7/8 builds to tcl/tk 8.6.8 -> Update 3.7 and 3.8 Windows and macOS installer builds to tcl/tk 8.6.8
nosy: + ned.deily, ronaldoussoren

messages: + msg312583

components: + macOS
2018-02-22 18:37:24steve.dowersetmessages: + msg312577
2018-02-21 21:58:56zach.waresetnosy: + paul.moore, tim.golden, steve.dower
messages: + msg312514

assignee: steve.dower
components: + Tkinter, Windows
2018-02-21 21:26:55terry.reedycreate